clang-tools 8.0.0

Namespaces | Functions
FindSymbols.h File Reference
`#include "Protocol.h"`
`#include "llvm/ADT/StringRef.h"`
Include dependency graph for FindSymbols.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces
| clang
| ===– Representation.cpp - ClangDoc Representation --------—*- C++ -*-===//
| clang::clangd

## Functions
llvm::Expected< std::vector< SymbolInformation > > | clang::clangd::getWorkspaceSymbols (llvm::StringRef Query, int Limit, const SymbolIndex *const Index, llvm::StringRef HintPath)
| Searches for the symbols matching `Query`. More...
llvm::Expected< std::vector< DocumentSymbol > > | clang::clangd::getDocumentSymbols (ParsedAST &AST)
| Retrieves the symbols contained in the "main file" section of an AST in the same order that they appear. More...